/**
 * Recarga el datatable de paciente
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function reload(e, dt, node, config)
{
    dt.ajax.reload();
}

/**
 * Redirecciona a la vista de creacion de nuevo paciente
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function newAction( e, dt, node, config ) 
{
   window.location="{{ path('hcue_paciente_paciente_add') }}";
}

/**
 * Muestra la vista del paciente
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function showAction(elem,config,row,dt)
{
    $.loadModalViewer({
    url:config.route,
    title:'Datos del Paciente',
    width:'90%',
    height:'100%',
    });
}

/**
 * Elimina el paciente
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function deleteAction(elem,config,row,dt)
{
    $.confirm('Está seguro de eliminar el registro?',function(result)
    {
        if(result){
            $.ajaxDeleteRowDatatables({
            url:"{{ path('hcue_paciente_paciente_eliminar') }}/"+config.parameters.id,
            grid:dt
            });
        }
    })
}

$(function(){
    $.include_once(['bootstrap.datepicker'],function(){
        $(".datedatatable > input").focus(function(){          
          $(this).datepicker({
            format: 'yyyy-mm-dd'                
          });          
          $(this).datepicker("show");
        });    
    });    
});

/**
 * Imprime el formulario 001 de admision
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function printAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_paciente_paciente_print/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}